h2 Positions List

form-message(message="$ctrl.message")

a.btn.btn-success(ng-href="/positions/new")
    span.glyphicon.glyphicon-plus-sign Add position

table.table.table-striped.table-hover.table-condensed
    thead
        th &nbsp;
        th(ng-click="$ctrl.actions.sort('id');")
            span.glyphicon(ng-class="$ctrl.events.sort('id')")
                b &nbsp;ID
        th(ng-click="$ctrl.actions.sort('title');")
            span.glyphicon(ng-class="$ctrl.events.sort('title')")
                b &nbsp;Title
        th(ng-click="$ctrl.actions.sort('description');")
            span.glyphicon(ng-class="$ctrl.events.sort('description')")
                b &nbsp;Description
        th &nbsp;
    tbody
        tr(ng-repeat="position in $ctrl.positions")
            td
                a.btn.btn-primary.btn-xs(ng-href='/positions/{{position.id}}')
                    span.glyphicon.glyphicon-pencil
            td
                a(ng-href='/positions/{{position.id}}') {{ position.id }}
            td
                a(ng-href='/positions/{{position.id}}') {{ position.title }}
            td {{ position.description }}
            td
                button.btn.btn-danger.btn-xs(ng-click="$ctrl.actions.remove(position.id)")
                    span.glyphicon.glyphicon-remove
